import * as $dara from '@darabonba/typescript';
import { DeleteImageComponentResponseBody } from "./DeleteImageComponentResponseBody";
export declare class DeleteImageComponentResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteImageComponentResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
